Coin Grants/Refund
Coin Grants / Refund
Either the UID or OpenID of the payee must exist, and if both are present, the OpenID takes precedence.
POST
/
platformapi
/
chainup
/
open
/
opay
/
refundOrder
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/refundOrder
{
"code": "",
"msg": "o",
"data": {
"orderNum": ""
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
appOrderId
string
requiredMerchant-side order id, unique across the board.
Example: 10000001
openId
string
The unique id of the receiving user, the unique identification of the user authorized by the open platform to the application.
userId
string
Receiving user uid (and openid must exist a) || at the same time there is priority to take openid.
orderAmount
string
requiredOrder amount.
Example: 200
orderSceneType
string
Scene type of the order, numerical enumeration.
Not passed by default, you can contact customer service to add custom scenarios
payCoinSymbol
string
requiredPayment currency, capitalized as BTC.
Example: btc
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code
msg
string
Success or failure message
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/refundOrder
{
"code": "",
"msg": "o",
"data": {
"orderNum": ""
}
}